org.apache.solr.cloud

## Class MockSolrZkClient

- java.lang.Object
- - org.apache.solr.common.cloud.SolrZkClient
  - - org.apache.solr.cloud.MockSolrZkClient

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class MockSolrZkClient
      extends org.apache.solr.common.cloud.SolrZkClient

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.common.cloud.SolrZkClient

      `ZK_ACL_PROVIDER_CLASS_NAME_VM_PARAM_NAME, ZK_CRED_PROVIDER_CLASS_NAME_VM_PARAM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockSolrZkClient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `exists(String path, boolean retryOnConnLoss)`
    `byte[]` | `getData(String path, org.apache.zookeeper.Watcher watcher, org.apache.zookeeper.data.Stat stat, boolean retryOnConnLoss)`

    - ### Methods inherited from class org.apache.solr.common.cloud.SolrZkClient

      `checkInterrupted, clean, close, containsChroot, create, createZkACLProvider, createZkCredentialsToAddAutomatically, delete, downConfig, downloadFromZK, exists, getChildren, getConnectionManager, getSolrZooKeeper, getZkACLProvider, getZkClientConnectionStrategy, getZkClientTimeout, getZkServerAddress, isClosed, isConnected, listZnode, makePath, makePath, makePath, makePath, makePath, makePath, makePath, makePath, makePath, makePath, moveZnode, multi, prettyPrint, printLayout, printLayoutToStdOut, setACL, setData, setData, setData, upConfig, updateACLs, uploadToZK, wrapWatcher, zkTransfer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockSolrZkClient

          public MockSolrZkClient()

  - ### Method Detail

    - #### exists

          public Boolean exists(String path,
                                boolean retryOnConnLoss)
                         throws org.apache.zookeeper.KeeperException,
                                InterruptedException

      Overrides:
        `exists` in class `org.apache.solr.common.cloud.SolrZkClient`
      Throws:
        `org.apache.zookeeper.KeeperException`
        `InterruptedException`

    - #### getData

          public byte[] getData(String path,
                                org.apache.zookeeper.Watcher watcher,
                                org.apache.zookeeper.data.Stat stat,
                                boolean retryOnConnLoss)
                         throws org.apache.zookeeper.KeeperException,
                                InterruptedException

      Overrides:
        `getData` in class `org.apache.solr.common.cloud.SolrZkClient`
      Throws:
        `org.apache.zookeeper.KeeperException`
        `InterruptedException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.